package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEExamMarkLogMapper;
import com.qmth.themis.business.entity.TEExamMarkLog;
import com.qmth.themis.business.service.TEExamMarkLogService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考生重点标记表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2024-07-22
 */
@Service
public class TEExamMarkLogServiceImpl extends ServiceImpl<TEExamMarkLogMapper, TEExamMarkLog>
        implements TEExamMarkLogService {

    /**
     * 根据考试记录id查找标记信息
     *
     * @param examRecordId
     * @return
     */
    @Override
    public TEExamMarkLog findByExamRecordId(Long examRecordId) {
        return this.getOne(new QueryWrapper<TEExamMarkLog>().lambda().eq(TEExamMarkLog::getExamRecordId, examRecordId));
    }
}
